ID:

CVE-2017-6839 (NVD)

- Vulnerability Info (edit)
2017-03-20

Integer overflow in modules/MSADPCM.cpp in Audio File Library (aka audiofile) 0.3.6 allows remote attackers to cause a denial of service (crash) via a crafted file.

Products Audiofile
Type Integer Overflow or Wraparound (CWE-190)
First patch https://github.com/antlarr/audiofile/commit/beacc44eb8cdf6d58717ec1a5103c5141f1b37f9
Patches https://github.com/mpruett/audiofile/issues/41
Relevant file/s • ./libaudiofile/modules/BlockCodec.cpp (modified, +3, -2)
• ./libaudiofile/modules/MSADPCM.cpp (modified, +43, -4)
Links http://www.openwall.com/lists/oss-security/2017/03/13/9
http://www.debian.org/security/2017/dsa-3814
https://blogs.gentoo.org/ago/2017/02/20/audiofile-multiple-ubsan-crashes/
Annotation

Note:

This entry has not been annotated yet.

Please consider adding data:

audiofile - Tree: beacc44eb8

(? files)

Filter Settings
Files
Navigation
Patch data:

(on by default)


Patched area: